[Rpm-maint] [rpm-software-management/rpm] add brp helper scripts from mandriva's spec-helper (#122)

proyvind notifications at github.com
Thu Feb 16 10:58:03 UTC 2017


proyvind commented on this pull request.



> @@ -0,0 +1,49 @@
+#!/bin/sh
+
+# This script makes sure to remove any standard library search paths from rpath
+# or runpath tags as they're not only redundant, but will break overriding
+# search paths. Search paths of the tag that's not standard will be kept intact.
+
+# If using normal root, avoid changing anything.
+if [ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ]; then
+	exit 0
+fi
+
+# make sure we have chrpath in our search path, otherwise wuzz out
+type chrpath || exit 0

You misunderstand the script's purpose.
It doesn't unconditionally remove all rpaths, but rather rpaths for standard search directories such as ie. /usr/lib64 as rpath, which first of all doesn't make sense, secondly it takes presence over $LD_LIBRARY_PATH, breaking the possibility for overriding default search path for binaries with such rpaths.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/rpm-software-management/rpm/pull/122#discussion_r101492731
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.rpm.org/pipermail/rpm-maint/attachments/20170216/b0fbfb3b/attachment.html>


More information about the Rpm-maint mailing list